Runner heartbeat
Sends a heartbeat from a runner to report its status. Authenticated via runner token. `capabilities.caches` carries dependency cache sizes; the response carries a pending cache purge request.
Operation ID
runner_heartbeatSends a heartbeat from a runner to report its status. Authenticated via runner token.
capabilities.caches carries dependency cache sizes; the response carries a pending
cache purge request.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
runner_id*string
Runner ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/runners/string/heartbeat" \ -H "Content-Type: application/json" \ -d '{ "status": "string" }'{ "cache_purge_requested_at": 0}